Bug 1264803 - debuginfo package listed twice in mock install command for rpmlint check
debuginfo package listed twice in mock install command for rpmlint check
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 05:03 EDT by Mattias Ellert
Modified: 2015-11-26 06:20 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-26 06:20:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2015-09-21 05:03:33 EDT
Description of problem:

fedora-review in rawhide fails during rpmlint check on installed packages

Version-Release number of selected component (if applicable):

fedora-review-0.6.0-2.fc23.noarch

How reproducible:

Always

Steps to Reproduce:
1. fedora-review -DEPEL5 -b 1261537

(The above is an example - other review requests fail the same way.)

Actual results:

From ~/.cache/fedora-review.log:

09-21 10:49 root         DEBUG    Install command: mock, -r, fedora-rawhide-x86_64, --no-cleanup-after, --no-clean, --resultdir=/home/ellert/1261537-libs3/results, install, /home/ellert/1261537-libs3/results/libs3-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm, /home/ellert/1261537-libs3/results/libs3-devel-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm, /home/ellert/1261537-libs3/results/libs3-debuginfo-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm, /home/ellert/1261537-libs3/results/libs3-debuginfo-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm

[...]

INFO: installing package(s): /home/ellert/1261537-libs3/results/libs3-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm /home/ellert/1261537-libs3/results/libs3-devel-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm /home/ellert/1261537-libs3/results/libs3-debuginfo-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm /home/ellert/1261537-libs3/results/libs3-debuginfo-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 24 install /home/ellert/1261537-libs3/results/libs3-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm /home/ellert/1261537-libs3/results/libs3-devel-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm /home/ellert/1261537-libs3/results/libs3-debuginfo-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm /home/ellert/1261537-libs3/results/libs3-debuginfo-2.0-0.1.20150902git247ba1b.fc24.x86_64.rpm --setopt=tsflags=nocontexts

Expected results:

No errors

Additional info:

Running the mock install command manually with the debuginfo package listed only once succeeds.

Running the same fedora-review command on Fedora 22 using fedora-review-0.6.0-1.fc22.noarch succeeds.
Comment 1 Alec Leamas 2015-11-25 17:10:03 EST
hm... I have a tentative patch which needs verification. However, the links on that page are broken:  http://www.grid.tsl.uu.se/review/libs3-2.0-0.1.20150902git247ba1b.fc22.src.rpm seemingly doesn't exist. Can you provide a working test case?
Comment 2 Mattias Ellert 2015-11-26 05:27:03 EST
I guess any non-noarch package review would do. E.g. this one:

fedora-review -DEPEL5 -m fedora-rawhide-x86_64 -b 1251500
Comment 3 Alec Leamas 2015-11-26 06:20:27 EST
Pushed a fix upstream: https://git.fedorahosted.org/cgit/FedoraReview.git/commit/?h=devel&id=515bfc67e017cd

Please refer to https://fedorahosted.org/FedoraReview/wiki/UseDevelopmentVersion for how to run the upstream version. We need some time to to settle other issues before make a new release.

Note You need to log in before you can comment on or make changes to this bug.